# Created by pyp2rpm-3.3.10
%global pypi_name pyregion

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.3.0
Release:        %mkrel 1
Summary:        python parser for ds9 region files
Group:          Development/Python
License:        MIT
URL:            https://github.com/astropy/pyregion
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         pyregion-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel python3dist(cython) python3dist(extension-helpers) python3dist(setuptools-scm) python3dist(astropy) python3dist(pytest-astropy) qttools6

%description
pyregion is a python module to parse ds9 region files. It also supports ciao
region files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyregion is a python module to parse ds9 region files. It also supports ciao
region files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} -x test

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
pushd %{buildroot}%{python3_sitearch}/%{pypi_name}
%pytest
# test cache
rm -rf %{buildroot}%{python3_sitearch}/%{pypi_name}/.pytest_cache/
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitearch}/%{pypi_name}/tests/
%exclude %{python3_sitearch}/%{pypi_name}/conftest.py
%exclude %{python3_sitearch}/%{pypi_name}/__pycache__/conftest.*.pyc
%exclude %{python3_sitearch}/%{pypi_name}/*.{h,pxd,pyx}


%changelog
* Tue Oct 29 2024 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 2111744
- new version: 2.3.0

* Mon Dec 25 2023 wally <wally> 2.2.0-1.mga10
+ Revision: 2021166
- imported package python-pyregion

